
<div align="center">
    <img src="https://raw.githubusercontent.com/Ayanrajpoot10/bugscanx/refs/heads/main/assets/logo.png" width="128" height="128"/>
    <h1>BugScanX</h1>
    <p>All-in-one tool for SNI discovery</p>
</div>

<p align="center">
    <img src="https://img.shields.io/github/stars/Ayanrajpoot10/bugscanx?color=e57474&labelColor=1e2528&style=for-the-badge"/>
    <img src="https://img.shields.io/pypi/dm/bugscan-x?color=67b0e8&labelColor=1e2528&style=for-the-badge"/>
    <img src="https://img.shields.io/pypi/v/bugscan-x?color=8ccf7e&labelColor=1e2528&style=for-the-badge"/>
</p>

---

## 🚀 Features

### 🔧 Core Tools
- **Host Checker Pro**
  - Multiple scanning modes
  - Advanced payload handling
  - Supports various HTTP methods
- **Subfinder**
  - Active subdomain enumeration
  - Support for multiple API providers
  - Fast concurrent enumeration
- **IP Lookup**
  - Discover domains on the same IP
  - Aggregates data from multiple sources

### 🧰 Additional Tools
- **CIDR Scanner**
- **TXT Toolkit**
- **Port Scanner**
- **DNS Record Viewer**
- **OSINT Utilities**

### ✨ Highlights
- Clean and modern interactive UI
- Input autocompletion and validation
- Cross-platform support (Windows, Linux, macOS, Android(Termux))
- Actively maintained with regular updates

---

## ⚡ Quick Start

```bash
# Install the package
pip install bugscan-x

# Run the tool
bugscanx
```

> **NOTE:** The package on PyPI is published as `bugscan-x` (not `BugScanX`).  
> The original name `BugScanX` was banned and is no longer available.  
> Please use `bugscan-x` when installing the tool.

---

## 🤝 Contributing

We welcome contributions from the community!  
Here’s how you can help:

- 💬 [Open an issue](https://github.com/Ayanrajpoot10/bugscan-x/issues) to report bugs or suggest features
- 🛠️ Submit a pull request to contribute code
- 📢 Join our [Telegram community](https://t.me/BugScanX) for discussion and updates

---

## 📄 License

This project is licensed under the [MIT License](LICENSE).
